0

A few years ago my Bitcoin QT wallet stopped working and error messages started popping up

The error reads:

Assertion Failed!

Program:... File: src/main.cpp Line: 1127 Expression: pindexFirst

For information on how your program can cause an assertion failure, see the Visual C++ documentation on asserts (Press Retry to debug the application - JIT must be enabled)

How can I fix this? Is this wallet now obsolete?

0

This issue may be related.

The suggested fix is to start bitcoin-qt with the reindex option. To do that you'll need to start it from a command prompt and use:

bitcoin-qt.exe -reindex

Of course make sure you take a copy of your wallet.dat file and put it somewhere safe.

You could also try updating to the latest version of Bitcoin Core and then copy your wallet.dat file into the data directory BUT the wallet format may have changed in the interim which could prevent it from opening.

  • Actually, if the wallet format is changed bitcoin-qt should upgrade it automatically. – Willtech Feb 3 '18 at 0:59

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.